## org.eclipse.emf.ecore.resource.impl
Class PlatformResourceURIHandlerImpl.WorkbenchHelper

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.PlatformResourceURIHandlerImpl.WorkbenchHelper

Direct Known Subclasses:
  URIConverterImpl.WorkbenchHelper

Enclosing class:
  PlatformResourceURIHandlerImpl

    public static class PlatformResourceURIHandlerImpl.WorkbenchHelper

extends java.lang.Object

Isolated Eclipse workbench utilities.

Constructor Summary
`PlatformResourceURIHandlerImpl.WorkbenchHelper()`

Method Summary
`static java.util.Map<java.lang.String,?>` `attributes(java.lang.String platformResourcePath, java.util.Map<?,?> options)`
`static java.io.InputStream` `createPlatformResourceInputStream(java.lang.String platformResourcePath, java.util.Map<?,?> options)` Creates an input stream for the given `IFile` path.
`static java.io.OutputStream` `createPlatformResourceOutputStream(java.lang.String platformResourcePath, java.util.Map<?,?> options)` Creates an output stream for the given `IFile` path.
`static void` `delete(java.lang.String platformResourcePath, java.util.Map<?,?> options)`
`static boolean` `exists(java.lang.String platformResourcePath, java.util.Map<?,?> options)`
`static IContentDescription` `getContentDescription(java.lang.String platformResourcePath, java.util.Map<?,?> options)`
`static void` `updateAttributes(java.lang.String platformResourcePath, java.util.Map<java.lang.String,?> attributes, java.util.Map<?,?> options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformResourceURIHandlerImpl.WorkbenchHelper

    public PlatformResourceURIHandlerImpl.WorkbenchHelper()

Method Detail

### createPlatformResourceOutputStream

    public static java.io.OutputStream createPlatformResourceOutputStream(java.lang.String platformResourcePath,
                                                                          java.util.Map<?,?> options)
                                                                   throws java.io.IOException

  Creates an output stream for the given `IFile` path.

  This implementation uses a `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream`.

  Returns:
    an open output stream.
  Throws:
    `java.io.IOException` - if there is a problem obtaining an open output stream.
  See Also:
    `IContainer.getFile(org.eclipse.core.runtime.IPath)`, `PlatformResourceURIHandlerImpl.PlatformResourceOutputStream`, `IFile.setContents(InputStream, boolean, boolean, IProgressMonitor)`

### createPlatformResourceInputStream

    public static java.io.InputStream createPlatformResourceInputStream(java.lang.String platformResourcePath,
                                                                        java.util.Map<?,?> options)
                                                                 throws java.io.IOException

  Creates an input stream for the given `IFile` path.

  This implementation uses `IFile.getContents`.

  Returns:
    an open input stream.
  Throws:
    `java.io.IOException` - if there is a problem obtaining an open input stream.
  See Also:
    `IContainer.getFile(org.eclipse.core.runtime.IPath)`, `IFile.getContents()`

### delete

    public static void delete(java.lang.String platformResourcePath,
                              java.util.Map<?,?> options)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### exists

    public static boolean exists(java.lang.String platformResourcePath,
                                 java.util.Map<?,?> options)

### attributes

    public static java.util.Map<java.lang.String,?> attributes(java.lang.String platformResourcePath,
                                                               java.util.Map<?,?> options)

### updateAttributes

    public static void updateAttributes(java.lang.String platformResourcePath,
                                        java.util.Map<java.lang.String,?> attributes,
                                        java.util.Map<?,?> options)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentDescription

    public static IContentDescription getContentDescription(java.lang.String platformResourcePath,
                                                            java.util.Map<?,?> options)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.